<template>
    <ul class="navbar-nav m-auto">
        <li v-for="item of menu" :key="item.id" class="nav-item">
            <a :href="item.url ? item.url: '#'" class="nav-link">{{item.title}}</a>
        </li>
    </ul>
</template>
<script>
export default {
    created() {
        this.getMenu();
    },
    data() {
        return {
            menu: null
        };
    },
    methods: {
        getMenu() {
            axios
                .get("https://polizasya.com/wp-json/wp-api-menus/v2/menus/5")
                .then(res => {
                    this.menu = res.data.items;
                })
                .catch(err => {
                    console.log(err.response);
                });
        }
    }
};
</script>
